CairoSurface::copyPage
CairoSurface::finish
CairoSurface
PHP Manual

# CairoSurface::createSimilar

The createSimilar purpose

### Description

public void CairoSurface::createSimilar ( CairoSurface `$other` , int `$content` , string `$width` , string `$height` )

Create a new surface that is as compatible as possible with an existing surface. For example the new surface will have the same fallback resolution and font options as other. Generally, the new surface will also use the same backend as other, unless that is not possible for some reason. The type of the returned surface may be examined with CairoSurface::getType(). Initially the surface contents are all 0 (transparent if contents have transparency, black otherwise.)

### Parameters

`other`

  An existing surface used to select the backend of the new surface

`content`

  The content for the new surface. See the CairoContent class for possible values.

`width`

  Width of the new surface, (in device-space units).

`height`

  Height of the new surface, (in device-space units).

### Return Values

A new CairoSurface

### Examples

Example #1 CairoSurface::createSimilar example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- CairoContent